## org.eclipse.datatools.modelbase.dbdefinition.impl
Class PrivilegeDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.PrivilegeDefinitionImpl

All Implemented Interfaces:
  PrivilegeDefinition

    public class PrivilegeDefinitionImpl

extends EObjectImpl
implements PrivilegeDefinition

An implementation of the model object 'Privilege Definition'.

The following features are implemented:

- `Action Element Definitions`
- `Name`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getActionElementDefinitions()`
`java.lang.String` `getName()`
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getActionElementDefinitions

    public EList getActionElementDefinitions()

  Specified by:
    `getActionElementDefinitions` in interface `PrivilegeDefinition`
  Returns:
    the value of the 'Action Element Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getPrivilegeDefinition_ActionElementDefinitions()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PrivilegeDefinition`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `PrivilegeDefinition.setName(String)`, `DatabaseDefinitionPackage.getPrivilegeDefinition_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `PrivilegeDefinition`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `PrivilegeDefinition.getName()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.